2024-04-20 03:57 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005668JoeAndMac_CavemanNinja[WHDLoad Installs Games] slavepublic2022-09-28 18:42
Reporterlordelessar 
Assigned ToCFOUProject InfoJoe & Mac (Caveman Ninja) (Data East)
http://www.whdload.de/games/JoeAndMac_CavemanNinja.html
 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Summary0005668: Illegal instruction
DescriptionAfter starting the game I have a black screen and a few seconds later the message exception illegal instruction ($ 10) at $ 98D34 occurred.
I tried the fast mem and no fast mem versions and the same thing happens.
Commands like nocache and expchip also do nothing.
TagsNo tags attached.
MachineA1200
CPU68020
CPUSpeed14
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem256 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.7
imported
Attached Files

-Relationships
+Relationships

-Notes

note ~0011774

CFOU (developer)

Last edited: 2022-09-26 19:13

View 2 revisions

have you use IPF files of original versoin?
have you use last patch (2021).

note ~0011775

CFOU (developer)

confirmed only with Winuae (init interrupt problem)

works fine on real amiga:

tested:
a1200 +blizzard 060
a1200+ Blizzard 030

note ~0011776

CFOU (developer)

Last edited: 2022-09-27 13:45

View 3 revisions

it seems J&M interupt code must to be fixed

updated:
VBL interrupt fixed (now crash removed on Winaue)

but freeze entering in game on AUDIO interrupt
=audio interrupt to fix too....

note ~0011777

retrogamer (reporter)

@CFOU

The first boss has infinite energy. It is impossible to pass the level. This always happens, even without using cheats.

note ~0011778

CFOU (developer)

@retrogamer
it"s perhaps protection 'resurrection' ;) (missing code checksums)?

In my memory i had not this problem with JST beta version and whdlaod V1.0
=>to verify

note ~0011779

CFOU (developer)

VBL & AUDIO interrupts coded fixed.

now it seems works on Winuae

slave attached for test on winuae and real amiga

@retrogamer
=>boss again unbeatable (to fix)

note ~0011780

CFOU (developer)

it's probably badly cracked see attached PNG for protection ckeck

=> looks the 'eat shit' message ;)

note ~0011781

CFOU (developer)

can yout test v1.2b?

now correctly cracked

remark: you have to type anything 2 times pass manual protection

note ~0011783

lordelessar (reporter)

For installation, I used:
https://whdload.de/games/JoeAndMac_CavemanNinja.lha (latest 2019-11-19).
and Joe and Mac sps 2179 in ipf format.
I just tested the newest slave. The startup problem seems to be gone. However, I noticed some graphics errors at the beginning of the second stage (waterfalls - strange flickering black lines). This is probably due to the type of memory used by winuae. My system and games use 256 MB of Z3 Fast memory. When I turn off the Z3 memory and start the system on the Z2 8 MB memory, the game no longer displays incorrect graphics. Unfortunately, starting the game with the whdload command (executepostdisk = uae-configuration ...), which switches the Z3 to Z2 memory, although it works properly, does not fix the graphics error.

note ~0011785

CFOU (developer)

@lordelesssac

can you test both new attached versions (lha) to compare (with and without FAST mem) ?

note ~0011787

lordelessar (reporter)

The new slave has solved the graphics problem. The game also starts without any problems.
Thank you @CFOU

note ~0011788

CFOU (developer)

fixed with v2.0
+Notes

-Issue History
Date Modified Username Field Change
2022-05-28 19:47 lordelessar New Issue
2022-05-28 20:30 StingRay Assigned To => CFOU
2022-05-28 20:30 StingRay Status new => assigned
2022-09-26 19:12 CFOU Note Added: 0011774
2022-09-26 19:13 CFOU Note Edited: 0011774 View Revisions
2022-09-26 21:08 CFOU Note Added: 0011775
2022-09-27 09:18 CFOU Note Added: 0011776
2022-09-27 10:36 CFOU Note Edited: 0011776 View Revisions
2022-09-27 13:45 CFOU Note Edited: 0011776 View Revisions
2022-09-27 16:29 retrogamer Note Added: 0011777
2022-09-27 18:35 CFOU Note Added: 0011778
2022-09-27 18:46 CFOU File Added: JoeAndMac.slave
2022-09-27 18:46 CFOU Note Added: 0011779
2022-09-27 19:06 CFOU File Added: joemac bat crash.png
2022-09-27 19:06 CFOU Note Added: 0011780
2022-09-27 19:26 CFOU File Deleted: JoeAndMac.slave
2022-09-27 19:28 CFOU File Added: JoeAndMac.slave
2022-09-27 19:28 CFOU Note Added: 0011781
2022-09-28 15:57 lordelessar Note Added: 0011783
2022-09-28 17:28 CFOU File Added: Joe&MAc_Beta2.lha
2022-09-28 17:28 CFOU Note Added: 0011785
2022-09-28 17:59 CFOU File Deleted: JoeAndMac.slave
2022-09-28 18:35 lordelessar Note Added: 0011787
2022-09-28 18:42 CFOU Status assigned => closed
2022-09-28 18:42 CFOU Resolution open => fixed
2022-09-28 18:42 CFOU Note Added: 0011788
+Issue History